// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse}
 */
public  final class ListLeaderboardEntriesResponse extends
    com.google.protobuf.GeneratedMessageLite<
        ListLeaderboardEntriesResponse, ListLeaderboardEntriesResponse.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse)
    ListLeaderboardEntriesResponseOrBuilder {
  private ListLeaderboardEntriesResponse() {
    leaderboardEntries_ = emptyProtobufList();
  }
  public static final int LEADERBOARD_ENTRIES_FIELD_NUMBER = 1;
  private com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> leaderboardEntries_;
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  @java.lang.Override
  public java.util.List<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> getLeaderboardEntriesList() {
    return leaderboardEntries_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  public java.util.List<? extends gg.dsepractice.chinese.v1alpha1.LeaderboardEntryOrBuilder> 
      getLeaderboardEntriesOrBuilderList() {
    return leaderboardEntries_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  @java.lang.Override
  public int getLeaderboardEntriesCount() {
    return leaderboardEntries_.size();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.LeaderboardEntry getLeaderboardEntries(int index) {
    return leaderboardEntries_.get(index);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  public gg.dsepractice.chinese.v1alpha1.LeaderboardEntryOrBuilder getLeaderboardEntriesOrBuilder(
      int index) {
    return leaderboardEntries_.get(index);
  }
  private void ensureLeaderboardEntriesIsMutable() {
    com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> tmp = leaderboardEntries_;
    if (!tmp.isModifiable()) {
      leaderboardEntries_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void setLeaderboardEntries(
      int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
    value.getClass();
  ensureLeaderboardEntriesIsMutable();
    leaderboardEntries_.set(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void addLeaderboardEntries(gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
    value.getClass();
  ensureLeaderboardEntriesIsMutable();
    leaderboardEntries_.add(value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void addLeaderboardEntries(
      int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
    value.getClass();
  ensureLeaderboardEntriesIsMutable();
    leaderboardEntries_.add(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void addAllLeaderboardEntries(
      java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> values) {
    ensureLeaderboardEntriesIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, leaderboardEntries_);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void clearLeaderboardEntries() {
    leaderboardEntries_ = emptyProtobufList();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  private void removeLeaderboardEntries(int index) {
    ensureLeaderboardEntriesIsMutable();
    leaderboardEntries_.remove(index);
  }

  public static final int PAGINATION_INFO_FIELD_NUMBER = 2;
  private gg.dsepractice.chinese.v1alpha1.PaginationInfo paginationInfo_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   */
  @java.lang.Override
  public boolean hasPaginationInfo() {
    return paginationInfo_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.PaginationInfo getPaginationInfo() {
    return paginationInfo_ == null ? gg.dsepractice.chinese.v1alpha1.PaginationInfo.getDefaultInstance() : paginationInfo_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   */
  private void setPaginationInfo(gg.dsepractice.chinese.v1alpha1.PaginationInfo value) {
    value.getClass();
  paginationInfo_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergePaginationInfo(gg.dsepractice.chinese.v1alpha1.PaginationInfo value) {
    value.getClass();
  if (paginationInfo_ != null &&
        paginationInfo_ != gg.dsepractice.chinese.v1alpha1.PaginationInfo.getDefaultInstance()) {
      paginationInfo_ =
        gg.dsepractice.chinese.v1alpha1.PaginationInfo.newBuilder(paginationInfo_).mergeFrom(value).buildPartial();
    } else {
      paginationInfo_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   */
  private void clearPaginationInfo() {  paginationInfo_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse)
      gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponseOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    @java.lang.Override
    public java.util.List<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> getLeaderboardEntriesList() {
      return java.util.Collections.unmodifiableList(
          instance.getLeaderboardEntriesList());
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    @java.lang.Override
    public int getLeaderboardEntriesCount() {
      return instance.getLeaderboardEntriesCount();
    }/**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.LeaderboardEntry getLeaderboardEntries(int index) {
      return instance.getLeaderboardEntries(index);
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder setLeaderboardEntries(
        int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
      copyOnWrite();
      instance.setLeaderboardEntries(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder setLeaderboardEntries(
        int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.Builder builderForValue) {
      copyOnWrite();
      instance.setLeaderboardEntries(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder addLeaderboardEntries(gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
      copyOnWrite();
      instance.addLeaderboardEntries(value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder addLeaderboardEntries(
        int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry value) {
      copyOnWrite();
      instance.addLeaderboardEntries(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder addLeaderboardEntries(
        gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.Builder builderForValue) {
      copyOnWrite();
      instance.addLeaderboardEntries(builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder addLeaderboardEntries(
        int index, gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.Builder builderForValue) {
      copyOnWrite();
      instance.addLeaderboardEntries(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder addAllLeaderboardEntries(
        java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> values) {
      copyOnWrite();
      instance.addAllLeaderboardEntries(values);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder clearLeaderboardEntries() {
      copyOnWrite();
      instance.clearLeaderboardEntries();
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
     */
    public Builder removeLeaderboardEntries(int index) {
      copyOnWrite();
      instance.removeLeaderboardEntries(index);
      return this;
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    @java.lang.Override
    public boolean hasPaginationInfo() {
      return instance.hasPaginationInfo();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.PaginationInfo getPaginationInfo() {
      return instance.getPaginationInfo();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    public Builder setPaginationInfo(gg.dsepractice.chinese.v1alpha1.PaginationInfo value) {
      copyOnWrite();
      instance.setPaginationInfo(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    public Builder setPaginationInfo(
        gg.dsepractice.chinese.v1alpha1.PaginationInfo.Builder builderForValue) {
      copyOnWrite();
      instance.setPaginationInfo(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    public Builder mergePaginationInfo(gg.dsepractice.chinese.v1alpha1.PaginationInfo value) {
      copyOnWrite();
      instance.mergePaginationInfo(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
     */
    public Builder clearPaginationInfo() {  copyOnWrite();
      instance.clearPaginationInfo();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "leaderboardEntries_",
            gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.class,
            "paginationInfo_",
          };
          java.lang.String info =
              "\u0000\u0002\u0000\u0000\u0001\u0002\u0002\u0000\u0001\u0000\u0001\u001b\u0002\t" +
              "";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse)
  private static final gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse DEFAULT_INSTANCE;
  static {
    ListLeaderboardEntriesResponse defaultInstance = new ListLeaderboardEntriesResponse();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      ListLeaderboardEntriesResponse.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<ListLeaderboardEntriesResponse> PARSER;

  public static com.google.protobuf.Parser<ListLeaderboardEntriesResponse> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

